# vaultwarden

> Open source password manager

<!-- metadata -->

* **Category**: Apps
* **Status**: 2, beta
* **Image**: [`vaultwarden/server`](https://hub.docker.com/vaultwarden/server), 4, upstream
* **Healthcheck**: 3
* **Backups**: Yes
* **Email**: Yes
* **Tests**: No
* **SSO**: No

<!-- endmetadata -->

## Quick start

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new vaultwarden`
4. `abra app config YOURAPPDOMAIN`
5. `abra app cmd -l YOURAPPDOMAIN insert_vaultwarden_admin_token` will insert a hashed `admin_token` as password as recommended by vaultwarden. Will echo the admin_token to your cli.
6. `abra app secret insert YOURAPPDOMAIN smtp_password v1 "super-secret-password"` SMTP config and password needed for user email invites
5. `abra app deploy YOURAPPDOMAIN`

[`abra`]: https://git.coopcloud.tech/coop-cloud/abra
[`coop-cloud/traefik`]: https://git.coopcloud.tech/coop-cloud/traefik

## Tips & Tricks

### Using MariaDB instead of SQLite
Just comment in the `DB settings` section in your .env

### Wiring up `fail2ban`

You need the following logging config:

```
USE_SYSLOG=true
EXTENDED_LOGGING=true
LOG_FILE=/data/vaultwarden.log
LOG_LEVEL=warn
```

Then follow [this guide](https://github.com/dani-garcia/vaultwarden/wiki/Fail2Ban-Setup).

And you must use `COMPOSE_FILE="$COMPOSE_FILE:compose.host.yml"` in your traefik config to get real IPs.
